/*
Theme Name: Kadence Child by GrowthGeeky
Theme URI: n/a
Template: kadence
Author: Sabbir Ahmed
Author URI: https://growthgeeky.com
Description: Child Theme Description
Version: 2.0.1
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

/* ======================================================
   HEADER & BASIC ELEMENTS
====================================================== */

body:not(.home) .single-content h2:not(.exclude-border) {
  padding-bottom: var(--global-kb-spacing-md, 2rem);
  margin-bottom: var(--global-kb-spacing-md, 2rem) !important;
  border-bottom: 1px solid rgba(255, 255, 255, 0.05);
}

.kb-off-canvas-inner {
    background-color: var(--global-palette9);
    background-image: url(/wp-content/uploads/2025/10/Steps-BG-Bottom-Graphic-2.avif);
    background-position: 50% 100%;
    background-repeat: no-repeat;
    background-size: cover;
}

/* Apply background to all Pages and Posts */
body.page-template-default.page:not(.home) .site,
body.single-post:not(.home) .site,
body.blog:not(.home) .site {
  background-image:
    url('/wp-content/uploads/2025/10/Hero-BG-Left.avif'),
    url('/wp-content/uploads/2025/10/Hero-BG-Top-Right.avif'),
    url('/wp-content/uploads/2025/10/Background-Noise-Darker.png');
  background-position: 0 0, 100% 0, 50%;
  background-repeat: no-repeat, no-repeat, repeat;
  background-size: auto, auto, 180px;
  background-attachment: fixed, fixed, scroll;
}

.kb-header-sticky-wrapper.item-is-fixed.item-is-stuck {
  top: 24px !important;
}

.url-tooltip {
  position: absolute;
  background: #fff8e5;
  border: 1px solid #ffb84d;
  color: #333;
  padding: 6px 10px;
  border-radius: 6px;
  font-size: 13px;
  box-shadow: 0 2px 6px rgba(0,0,0,0.1);
  display: none;
  z-index: 9999;
}

/* Section Border */
.number-section,
.video-popup-item,
.steps-section,
.testo-img,
.improve-section,
.start-today,
.bottom-cta,
.custom-fimg {
    padding: 8px;
    border-radius: 12px;
    -webkit-backdrop-filter: blur(24px);
    backdrop-filter: blur(24px);
    background-image: radial-gradient(circle farthest-side at 50% 0, #ffffff14, #ffffff0a);
    /*justify-content: center;*/
    /*align-items: center;*/
    /*display: flex;*/
    position: relative;
}

.number-section::before,
.video-popup-item::before,
.steps-section::before,
.testo-img::before,
.improve-section::before,
.start-today::before,
.bottom-cta::before,
.custom-fimg::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border: 0.1rem solid transparent;
    border-radius: inherit;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0.08), rgba(255, 255, 255, 0.02)) border-box;
    -webkit-mask: linear-gradient(#fff 0 0) padding-box, linear-gradient(#fff 0 0);
    mask: linear-gradient(#fff 0 0) padding-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: destination-out;
    mask-composite: exclude;
    pointer-events: none;
}

/* Flashing Dot */
.eyebrow__flashing-dot {
  position: relative;
  display: inline-block;
  width: 13px;
  height: 13px;
  border-radius: 50%;
  background: #60EB3A;
  vertical-align: middle;
  animation: dotGlow 2s ease-in-out infinite;
}

.eyebrow__flashing-dot::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 50%;
  background: #60EB3A;
  animation: ringPulse 2s ease-out infinite;
}

/* Animations */
@keyframes ringPulse {
  0% { transform: scale(0.75); opacity: 0.8; }
  100% { transform: scale(2.3); opacity: 0; }
}

@keyframes dotGlow {
  0%, 90%, 100% { filter: brightness(1.2); }
  50% { filter: brightness(0.65); }
}

/* Reduced Motion */
@media (prefers-reduced-motion: reduce) {
  .eyebrow__flashing-dot,
  .eyebrow__flashing-dot::before {
    animation: none !important;
    filter: none !important;
  }
}

/* ======================================================
   DIVIDER LINES
====================================================== */
.fade-border,
.fade-border-top,
.fade-border-middle {
  position: relative;
  z-index: 40;
}

.fade-border::after,
.fade-border-top::after,
.fade-border-middle::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 2px;
  left: 0;
  background: linear-gradient(
    90deg,
    rgba(255, 255, 255, 0) 0%,
    rgba(171, 179, 190, 0.5) 50%,
    rgba(255, 255, 255, 0) 100%
  );
  opacity: 0.5;
}

.fade-border::after { bottom: 0; }
.fade-border-top::after { top: 0; }
.fade-border-middle::after { top: 50%; transform: translateY(-50%); }


/* ======================================================
   Tab Slider
====================================================== */
.step-item > .kt-inside-inner-col,
.mobile-step-item > .kt-inside-inner-col {
    background-image: radial-gradient(circle farthest-side at 50% 0, #ffffff14, #ffffff03);
}

.step-item{
  opacity: .4;
}

.step-item.active{
  opacity: 1;
}

.step-item,
.button-arrow {
  user-select: none;          /* Prevent text selection */
  -webkit-user-select: none;  /* Safari */
  -moz-user-select: none;     /* Firefox */
  -ms-user-select: none;      /* IE10+ */
  cursor: pointer;            /* Optional: show pointer */
}


.slider-step-content > .kt-inside-inner-col {
    background-image: url(/wp-content/uploads/2025/10/Cards-Corner-Graphic-min.avif),
		url(/wp-content/uploads/2025/10/Tab-BG-Blur-Top-Left.avif),
    radial-gradient(circle farthest-side at 50% 0, #ffffff14, #ffffff03);
    background-position: 100% 100%, 0 0, 0 0;
    background-repeat: no-repeat, no-repeat, repeat;
    background-size: 280px, 527px, auto;
    align-items: stretch;
}
.button-arrow .kb-adv-heading-icon {
    width: 3rem;
    height: 3rem;
    border-radius: 8px;
    -webkit-backdrop-filter: blur(12px);
    backdrop-filter: blur(12px);
    background-image: radial-gradient(circle at 50% 0, #ffffff1f, #ffffff05);
    transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
}
.button-arrow .kb-adv-heading-icon:hover {
    background-color: #ffffff14;
    transform: scale(1.025);
}
/* Progress bar at top*/

.step-item {
    position: relative;
    overflow: hidden;
}
.progress-bar {
    position: absolute !important;
    top: 0;
    left: 0;
    height: 4px;
    width: 100%;
    background: rgba(255, 255, 255, 0.1);
    overflow: hidden;
    border-radius: 8px 8px 0 0;
}
.progress-bar span {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    background: linear-gradient(90deg, #0066ff, #00ccff);
    transition: width 6s linear;
} /* Fix layout height so content doesn't jump */
.slider-step-content-wrapper {
    position: relative;
    min-height: 320px; /* adjust based on your tallest content */
} /*Layer all contents in the same spot */

.slider-step-content {
    position: absolute !important;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    transition: all, opacity 400ms cubic-bezier(0.215, 0.61, 0.355, 1);
}
.slider-step-content.active {
    opacity: 1;
    visibility: visible;
}
.button-arrow {
    cursor: pointer;
}
/* ======================================================
   GRADIENT BUTTONS
====================================================== */
.submit-butn,
.custom-butn,
.button-zoom {
  position: relative;
  border-radius: 8px;
  transition: transform 0.3s cubic-bezier(.215, .61, .355, 1);
  box-shadow: 0 16px 36px -12px rgba(0, 0, 0, 0.24),
              0 16px 36px -8px rgba(71, 60, 176, 0.64);
  overflow: hidden;
}

.submit-butn::before,
.custom-butn::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 8px;
  padding: 2px;
  background: linear-gradient(90deg, #4A25CF 0%, #3971FF 100%);
  -webkit-mask: linear-gradient(#fff 0 0) content-box,
                 linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
  z-index: 1;
}

.submit-butn:hover,
.custom-butn:hover,
.button-zoom:hover {
  transform: scale(1.025);
}

/* ======================================================
   SPLIDE CUSTOM ARROWS
====================================================== */
.splide__arrow svg {
  display: none !important;
}

.splide__arrow--prev,
.splide__arrow--next {
  width: 48px !important;
  height: 48px !important;
/*   display: flex !important;
  align-items: center !important;
  justify-content: center !important; */
  border-radius: 8px !important;
  border: 1.5px solid rgba(255, 255, 255, 0.16) !important;
  box-shadow: 0 16px 36px -12px rgba(0, 0, 0, 0.24) !important;
  backdrop-filter: blur(6px) !important;
  cursor: pointer !important;
  transition: transform .18s ease, box-shadow .18s ease, background .18s ease;
  background-repeat: no-repeat, no-repeat !important;
  background-position: center, center !important;
  background-size: 24px 24px, cover !important;
  background-color: rgba(255, 255, 255, 0.02) !important;
}

/* Gradient background layer */
.splide__arrow--prev,
.splide__arrow--next {
  background-image:
    radial-gradient(78.54% 157.69% at 50.21% 0%,
      rgba(255, 255, 255, 0.12) 0%,
      rgba(255, 255, 255, 0.02) 100%) !important;
}

/* Custom icons */
.splide__arrow--prev {
  background-image:
    url('/wp-content/uploads/2025/10/Slider-Arrow-Left.svg'),
    radial-gradient(78.54% 157.69% at 50.21% 0%,
      rgba(255, 255, 255, 0.12) 0%,
      rgba(255, 255, 255, 0.02) 100%) !important;
}

.splide__arrow--next {
  background-image:
    url('/wp-content/uploads/2025/10/Slider-Arrow-Right.svg'),
    radial-gradient(78.54% 157.69% at 50.21% 0%,
      rgba(255, 255, 255, 0.12) 0%,
      rgba(255, 255, 255, 0.02) 100%) !important;
}

/* ======================================================
   ACCORDION PANEL (Dark Theme)
====================================================== */
.wp-block-kadence-pane.kt-accordion-pane {
  background: radial-gradient(circle farthest-side at 50% 0, #5f58e929, #5f58e900), radial-gradient(circle farthest-side at 50% 0, #ffffff0f, #ffffff03), rgba(25, 32, 44, 0.35);
  padding: 32px;
  border: 1px solid rgba(255, 255, 255, 0.06);
  border-radius: 12px;
  transition: all 0.3s ease-in-out;
  box-shadow: 0px 16px 36px -12px rgba(0, 0, 0, 0.24);
  overflow: hidden;
}

/* Active Accordion Panel */
.wp-block-kadence-pane.kt-accordion-pane:has(> .kt-accordion-panel-active) {
  background: linear-gradient(0deg, rgba(51, 101, 250, 0.12), rgba(51, 101, 250, 0.12)), radial-gradient(50.08% 100% at 50.08% 0%, rgba(255, 255, 255, 0.0576) 0%, rgba(255, 255, 255, 0.0288) 100%);
  box-shadow: 0px 16px 36px -12px rgba(0, 0, 0, 0.24);
  backdrop-filter: blur(12px);
}

/* Reset Kadence default icons */
.wp-block-kadence-accordion .kt-blocks-accordion-icon-trigger::before,
.wp-block-kadence-accordion .kt-blocks-accordion-icon-trigger::after {
  background: none !important;
}

/* Custom icon base */
.wp-block-kadence-accordion .kt-blocks-accordion-icon-trigger {
  position: relative;
  width: 24px;
  height: 24px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
}

/* Closed state (default) */
.wp-block-kadence-accordion .kt-blocks-accordion-icon-trigger::after {
  content: '';
  position: absolute;
  inset: 0;
  margin: auto;
  width: 24px;
  height: auto;
  background-image: url('/wp-content/uploads/2025/10/FAQ-Icon-Closed.svg') !important;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  transition: all 0.3s ease-in-out;
  transform: rotate(0deg);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

/* Open state */
.wp-block-kadence-accordion .kt-accordion-panel-active .kt-blocks-accordion-icon-trigger::after {
  background-image: url('/wp-content/uploads/2025/10/chevrons-open.png') !important;
  transform: translate3d(0px, 0px, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(-180deg) skew(0deg, 0deg) !important;
  transform-style: preserve-3d;
}

/* ======================================================
   CONVERSION SLIDER
====================================================== */
.conversion-slider,
.us-conversion-slider {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-top: 8px;
}

.conversion-slider input[type="range"],
.us-conversion-slider input[type="range"]{
    -webkit-appearance: none;
    width: 100%;
    height: 12px;
    border-radius: 999px;
    background: linear-gradient(90deg, #3365fa 0%, #5dccff 0%, #222 0%, #222 100%);
    border: none;
    cursor: pointer;
    position: relative;
    transition: background 0.15s ease-in-out;
    box-shadow: inset 0 2px 4px rgba(255, 255, 255, 0.08), inset 0 -2px 6px rgba(0, 0, 0, 0.4), 0 4px 16px rgba(0, 0, 0, 0.1);
}

/* Thumb */
.conversion-slider input[type="range"]::-webkit-slider-thumb,
.us-conversion-slider input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 14px;
    height: 24px;
    background: linear-gradient(#fff, #fff) padding-box,
      		  linear-gradient(270deg, #3365fa, #5dccff) border-box;
    border-radius: 12px;
    border: 2px solid #5dccff;
    box-shadow: 0 6px 12px #00000036;
    cursor: pointer;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.conversion-slider input[type="range"]::-webkit-slider-thumb:hover,
.us-conversion-slider input[type="range"]::-webkit-slider-thumb:hover {
    transform: scale(1.1);
    box-shadow: 0 0 14px rgba(93, 204, 255, 0.9), 0 0 0 4px rgba(51, 101, 250, 0.25);
}

.slider-value,
.us-slider-value {
    font-size: 16px;
    font-weight: 500;
/*     color: #ccc; */
    white-space: nowrap;
}

/* ======================================================
   RESPONSIVE ADJUSTMENTS
====================================================== */
@media (max-width: 900px) {
  .kb-splide.kb-slider-group-arrows .splide__arrows {
    position: absolute;
    top: auto !important;
    bottom: -70px !important;
    left: 50% !important;
    transform: translateX(-50%);
    justify-content: center;
  }

  .kb-splide .splide__arrow {
    position: absolute;
    top: auto;
    bottom: -70px;
    transform: translateX(-50%);
    z-index: 10;
  }

  .kb-splide .splide__arrow--prev {
    left: calc(50% - 35px);
  }

  .kb-splide .splide__arrow--next {
    left: calc(50% + 35px);
  }
}

@media (max-width: 767px) {
  .custom-butn { width: 100% !important; }
  .wp-block-kadence-pane.kt-accordion-pane { padding: 24px; }
  .custom-slider .kb-advanced-slide-item  { width: 90% !important; }
	
/* CONVERSION SLIDER */
	.conversion-slider {
    flex-direction: column;
	}
	.slider-value { font-size: 14px}
}